## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-core
%global         forgeurl    https://github.com/googleapis/python-cloud-core
Version:        2.2.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Core Helpers for Google Cloud Python Client Library

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
This library is not meant to stand-alone. Instead it defines common helpers
(e.g. base Client classes) used by all of the google-cloud-* packages.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


# Build the grpc extras subpackage.
%pyproject_extras_subpkg -n python3-%{srcname} grpc


%prep
%forgeautosetup -p0


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst *.md
%{python3_sitelib}/google_cloud_core-%{version}-py%{python3_version}-nspkg.pth


%changelog
* mer. nov. 10 2021 Major Hayden <major@redhat.com> 2.2.1-1
- Update to 2.2.1

* mar. nov. 09 2021 Major Hayden <major@redhat.com> 2.2.0-1
- Update to 2.2.0

* mer. oct. 06 2021 Major Hayden <major@mhtx.net> 2.1.0-1
- Update to 2.1.0

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 2.0.0-4
- Fix tests with PEP 420 workaround

* jeu. sept. 09 2021 Major Hayden <major@mhtx.net> 2.0.0-3
- Move to rpmautospec

* lun. août 23 2021 Major Hayden <major@mhtx.net> 2.0.0-2
- Add SECURITY.md to docs

* lun. août 23 2021 Major Hayden <major@mhtx.net> 2.0.0-1
- Update to 2.0.0

* lun. août 02 2021 Major Hayden <major@mhtx.net> 1.7.2-1
- Update to 1.7.2

* mar. juil. 27 2021 Major Hayden <major@mhtx.net> 1.7.1-1
- Initial import (#1982680)
